Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 739718 - [TRACKER] sys-apps/portage-3.0.8
Summary: [TRACKER] sys-apps/portage-3.0.8
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: Tracker
Depends on: 404157 439688 644246 668302 668334 704416 710432 735626 737470 737480 739540 739908 740588 740898 740904 741194 741474 742446 743115 743631 747496
Blocks:
  Show dependency tree
 
Reported: 2020-08-31 07:01 UTC by Zac Medico
Modified: 2020-11-22 07:23 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2020-08-31 07:01:11 UTC
Tracks bugs fixed in this release.
Comment 1 Larry the Git Cow gentoo-dev 2020-08-31 07:08:13 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abdafd44b842135d6a06cf243720f878277ccbe2

commit abdafd44b842135d6a06cf243720f878277ccbe2
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2020-08-31 06:54:49 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2020-08-31 07:08:07 +0000

    sys-apps/portage: Bump to version 3.0.5
    
     #439688 depgraph: Allow elimination of highest version after
             slot conflict, which prevents unecessary rebuilds for
             dev-lang/go after backtracking for a missed update
     #739540 Use cached portage.getpid() function to avoid syscalls
    
    Bug: https://bugs.gentoo.org/739718
    Bug: https://bugs.gentoo.org/439688
    Bug: https://bugs.gentoo.org/739540
    Package-Manager: Portage-3.0.5, Repoman-3.0.1
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 sys-apps/portage/Manifest             |   1 +
 sys-apps/portage/portage-3.0.5.ebuild | 264 ++++++++++++++++++++++++++++++++++
 2 files changed, 265 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2020-09-08 03:51:30 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd840baeef963f5fe746f9167976ce0eed83a3b4

commit fd840baeef963f5fe746f9167976ce0eed83a3b4
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2020-09-08 03:44:51 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2020-09-08 03:51:23 +0000

    sys-apps/portage: Bump to version 3.0.6
    
     #668302 binrepos.conf: support fetchcommand customization
     #668334 Add binrepos.conf to replace PORTAGE_BINHOST
     #704416 env-update: create systemd user-session environment
     #737470 egencache --update-pkg-desc: emulate esync --verbose
     #737480 emerge --search: auto-detect regular expressions
     #739908 @change-deps: fix erroneous repeated rebuilds
     #740588 make.conf: Treat __* variables as local
     #740898 PORTAGE_BINHOST urlopen proxy support
     #740904 rsync and gemato proxy support
    
    Bug: https://bugs.gentoo.org/739718
    Bug: https://bugs.gentoo.org/668302
    Bug: https://bugs.gentoo.org/668334
    Bug: https://bugs.gentoo.org/704416
    Bug: https://bugs.gentoo.org/737470
    Bug: https://bugs.gentoo.org/737480
    Bug: https://bugs.gentoo.org/739908
    Bug: https://bugs.gentoo.org/740588
    Bug: https://bugs.gentoo.org/740898
    Bug: https://bugs.gentoo.org/740904
    Package-Manager: Portage-3.0.6, Repoman-3.0.1
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 sys-apps/portage/Manifest             |   1 +
 sys-apps/portage/portage-3.0.6.ebuild | 265 ++++++++++++++++++++++++++++++++++
 2 files changed, 266 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2020-09-11 19:26:00 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f5468f112ce4a8210fe2073267f842367a7287b

commit 3f5468f112ce4a8210fe2073267f842367a7287b
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2020-09-11 19:14:10 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2020-09-11 19:25:54 +0000

    sys-apps/portage: 3.0.6-r1 revbump for bug 741194
    
     #741194 selinux: encode os path arguments as UTF-8
    
    Bug: https://bugs.gentoo.org/739718
    Bug: https://bugs.gentoo.org/741194
    Package-Manager: Portage-3.0.6, Repoman-3.0.1
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 sys-apps/portage/Manifest                                          | 1 +
 sys-apps/portage/{portage-3.0.6.ebuild => portage-3.0.6-r1.ebuild} | 5 ++++-
 2 files changed, 5 insertions(+), 1 deletion(-)
Comment 4 Larry the Git Cow gentoo-dev 2020-09-14 07:35:24 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d7645a12b16a08ad45b1c82971d30e99e8ab589

commit 1d7645a12b16a08ad45b1c82971d30e99e8ab589
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2020-09-14 07:01:26 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2020-09-14 07:35:19 +0000

    sys-apps/portage: Bump to version 3.0.7
    
     #737470 egencache: add --external-cache-only option
     #741474 get_mirror_url: urlquote only for ftp, http, and https
     #742446 support riscv ilp32 and ilp32d ABIs
    
    Bug: https://bugs.gentoo.org/739718
    Bug: https://bugs.gentoo.org/737470
    Bug: https://bugs.gentoo.org/741474
    Bug: https://bugs.gentoo.org/742446
    Package-Manager: Portage-3.0.7, Repoman-3.0.1
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 sys-apps/portage/Manifest             |   1 +
 sys-apps/portage/portage-3.0.7.ebuild | 267 ++++++++++++++++++++++++++++++++++
 2 files changed, 268 insertions(+)
Comment 5 Larry the Git Cow gentoo-dev 2020-09-21 05:59:36 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=862266358f01efa90c12d182d1f85a3014b80439

commit 862266358f01efa90c12d182d1f85a3014b80439
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2020-09-21 05:35:06 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2020-09-21 05:59:31 +0000

    sys-apps/portage: Bump to version 3.0.8
    
     #404157 emerge: --keep-going support pkg_pretend failures
     #644246 Add mercurial sync support
     #710432 emerge: Enable parallel-fetch during pkg_pretend
     #743115 emerge: Fix slot conflict backtracking to group similar
             missed updates into a single backtracking try
     #743631 emerge: Fix slot conflict backtracking to prefer
             choices that satisfy all dependencies
    
    Bug: https://bugs.gentoo.org/739718
    Bug: https://bugs.gentoo.org/404157
    Bug: https://bugs.gentoo.org/644246
    Bug: https://bugs.gentoo.org/710432
    Bug: https://bugs.gentoo.org/743115
    Bug: https://bugs.gentoo.org/743631
    Package-Manager: Portage-3.0.8, Repoman-3.0.1
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 sys-apps/portage/Manifest             |   1 +
 sys-apps/portage/portage-3.0.8.ebuild | 267 ++++++++++++++++++++++++++++++++++
 2 files changed, 268 insertions(+)